<?php
declare(strict_types=1);

namespace FiloBlu\Refilo\Api\Data;

/**
 * @package FiloBlu\Refilo\Api\Data
 * @interface GuestOrderRequestInterface
 */
interface GuestOrderRequestInterface
{
    const CUSTOMER_EMAIL = 'customer_email';
    const INCREMENT_ID = 'increment_id';
    const STORE_ID = 'store_id';

    /**
     * @return mixed
     */
    public function getCustomerEmail();

    /**
     * @param $email
     * @return mixed
     */
    public function setCustomerEmail($email);

    /**
     * @param $incrementId
     * @return mixed
     */
    public function setIncrementId($incrementId);

    /**
     * @return mixed
     */
    public function getIncrementId();

    /**
     * @param $storeId
     * @return mixed
     */
    public function setStoreId($storeId);

    /**
     * @return mixed
     */
    public function getStoreId();
}
